Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.digests
Class GOST3411Digest

    java.lang.Object
      org.bouncycastle.crypto.digests.GOST3411Digest

All Implemented Interfaces:
  Digest, ExtendedDigest, Memoable

public class GOST3411Digest
extends java.lang.Object
implements ExtendedDigest, Memoable

implementation of GOST R 34.11-94

Constructor Summary
`GOST3411Digest()` Standard constructor
`GOST3411Digest(byte[] sBoxParam)` Constructor to allow use of a particular sbox with GOST28147
`GOST3411Digest(byte[] sBoxParam, CryptoServicePurpose purpose)` Constructor to allow use of a particular sbox with GOST28147
`GOST3411Digest(CryptoServicePurpose purpose)`
`GOST3411Digest(GOST3411Digest t)` Copy constructor.

Method Summary
`Memoable` | `copy()` Produce a copy of this object with its configuration and in its current state.
`protected CryptoServiceProperties` | `cryptoServiceProperties()`
`int` | `doFinal(byte[] out, int outOff)` close the digest, producing the final digest value.
`java.lang.String` | `getAlgorithmName()` return the algorithm name
`int` | `getByteLength()` Return the size in bytes of the internal buffer the digest applies it's compression function to.
`int` | `getDigestSize()` return the size, in bytes, of the digest produced by this message digest.
`protected void` | `processBlock(byte[] in, int inOff)`
`void` | `reset()` reset the digest back to it's initial state.
`void` | `reset(Memoable other)` Restore a copied object state into this object.
`void` | `update(byte in)` update the message digest with a single byte.
`void` | `update(byte[] in, int inOff, int len)` update the message digest with a block of bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3411Digest

    public GOST3411Digest()

  Standard constructor

### GOST3411Digest

    public GOST3411Digest(CryptoServicePurpose purpose)

### GOST3411Digest

    public GOST3411Digest(byte[] sBoxParam)

  Constructor to allow use of a particular sbox with GOST28147

See Also:
  `GOST28147Engine.getSBox(String)`

### GOST3411Digest

    public GOST3411Digest(byte[] sBoxParam,
                          CryptoServicePurpose purpose)

  Constructor to allow use of a particular sbox with GOST28147

See Also:
  `GOST28147Engine.getSBox(String)`

### GOST3411Digest

    public GOST3411Digest(GOST3411Digest t)

  Copy constructor. This will copy the state of the provided message digest.

Method Detail

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `Digest`
  return the algorithm name

  Specified by:
    `getAlgorithmName` in interface `Digest`
  Returns:
    the algorithm name

### getDigestSize

    public int getDigestSize()

  Description copied from interface: `Digest`
  return the size, in bytes, of the digest produced by this message digest.

  Specified by:
    `getDigestSize` in interface `Digest`
  Returns:
    the size, in bytes, of the digest produced by this message digest.

### update

    public void update(byte in)

  Description copied from interface: `Digest`
  update the message digest with a single byte.

  Specified by:
    `update` in interface `Digest`
  Parameters:
    `in` - the input byte to be entered.

### update

    public void update(byte[] in,
                       int inOff,
                       int len)

  Description copied from interface: `Digest`
  update the message digest with a block of bytes.

  Specified by:
    `update` in interface `Digest`
  Parameters:
    `in` - the byte array containing the data.
    `inOff` - the offset into the byte array where the data starts.
    `len` - the length of the data.

### processBlock

    protected void processBlock(byte[] in,
                                int inOff)

### doFinal

    public int doFinal(byte[] out,
                       int outOff)

  Description copied from interface: `Digest`
  close the digest, producing the final digest value. The doFinal call leaves the digest reset.

  Specified by:
    `doFinal` in interface `Digest`
  Parameters:
    `out` - the array the digest is to be copied into.
    `outOff` - the offset into the out array the digest is to start at.

### reset

    public void reset()

  Description copied from interface: `Digest`
  reset the digest back to it's initial state.

  Specified by:
    `reset` in interface `Digest`

### getByteLength

    public int getByteLength()

  Description copied from interface: `ExtendedDigest`
  Return the size in bytes of the internal buffer the digest applies it's compression function to.

  Specified by:
    `getByteLength` in interface `ExtendedDigest`
  Returns:
    byte length of the digests internal buffer.

### copy

    public Memoable copy()

  Description copied from interface: `Memoable`
  Produce a copy of this object with its configuration and in its current state.

  The returned object may be used simply to store the state, or may be used as a similar object starting from the copied state.

  Specified by:
    `copy` in interface `Memoable`

### reset

    public void reset(Memoable other)

  Description copied from interface: `Memoable`
  Restore a copied object state into this object.

  Implementations of this method should try to avoid or minimise memory allocation to perform the reset.

  Specified by:
    `reset` in interface `Memoable`
  Parameters:
    `other` - an object originally `copied` from an object of the same type as this instance.

### cryptoServiceProperties

    protected CryptoServiceProperties cryptoServiceProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD